%define		pname		tap-plugins
%define		docs_ver	20140526
Summary:	Set of LADSPA plugins for digital audio processing
Summary(pl.UTF-8):	Zestaw wtyczek LADSPA do cyfrowej obróbki dźwięku
Name:		ladspa-tap-plugins
Version:	1.0.0
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/tap-plugins/%{pname}-%{version}.tar.gz
# Source0-md5:	86c217d8774974fbbe87909304195e5a
Source1:	http://downloads.sourceforge.net/tap-plugins/%{pname}-doc-%{docs_ver}.tar.gz
# Source1-md5:	8af9ad9be0aac9f577056311d7ebbd5e
Patch0:		%{name}-DESTDIR_OPTFLAGS.patch
URL:		http://tap-plugins.sourceforge.net/
BuildRequires:	ladspa-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A set of LADSPA plugins for digital audio processing, intended for use
in a professional DAW environment such as Ardour.

%description -l pl.UTF-8
Zestaw wtyczek LADSPA do cyfrowej obróbki dźwięku, których
zamierzeniem jest użycie w profesjonalnym środowisku jak np. Ardour.

%package doc
Summary:	TAP plugins documentation
Summary(pl.UTF-8):	Dokumentacja wtyczek TAP
Group:		Documentation
Suggests:	%{name} = %{version}-%{release}

%description doc
TAP plugins documentation.

%description doc -l pl.UTF-8
Dokumentacja wtyczek TAP.

%prep
%setup -qn %{pname}-%{version} -a1
%patch0 -p1

%{__mv} %{pname}-doc-%{docs_ver} docs

# use system ladspa header
%{__rm} ladspa.h

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_libdir}/ladspa/tap_autopan.so
%attr(755,root,root) %{_libdir}/ladspa/tap_chorusflanger.so
%attr(755,root,root) %{_libdir}/ladspa/tap_deesser.so
%attr(755,root,root) %{_libdir}/ladspa/tap_doubler.so
%attr(755,root,root) %{_libdir}/ladspa/tap_dynamics_m.so
%attr(755,root,root) %{_libdir}/ladspa/tap_dynamics_st.so
%attr(755,root,root) %{_libdir}/ladspa/tap_echo.so
%attr(755,root,root) %{_libdir}/ladspa/tap_eq.so
%attr(755,root,root) %{_libdir}/ladspa/tap_eqbw.so
%attr(755,root,root) %{_libdir}/ladspa/tap_limiter.so
%attr(755,root,root) %{_libdir}/ladspa/tap_pinknoise.so
%attr(755,root,root) %{_libdir}/ladspa/tap_pitch.so
%attr(755,root,root) %{_libdir}/ladspa/tap_reflector.so
%attr(755,root,root) %{_libdir}/ladspa/tap_reverb.so
%attr(755,root,root) %{_libdir}/ladspa/tap_rotspeak.so
%attr(755,root,root) %{_libdir}/ladspa/tap_sigmoid.so
%attr(755,root,root) %{_libdir}/ladspa/tap_tremolo.so
%attr(755,root,root) %{_libdir}/ladspa/tap_tubewarmth.so
%attr(755,root,root) %{_libdir}/ladspa/tap_vibrato.so
%{_datadir}/ladspa/rdf/tap-plugins.rdf
%{_datadir}/ladspa/rdf/tap_reverb.rdf

%files doc
%defattr(644,root,root,755)
%doc docs/*
%changelog
* Tue Apr 09 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa-tap-plugins.git;a=log;h=master

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 92a9759
- updated to 1.0.0

* Tue Sep 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 6b2d0dc
- updated to 0.7.3
- updated DESTDIR_OPTFLAGS patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6afde6f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 68bf686
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 0dfb461
- strict internal deps

* Fri Jun 09 2006 wolf <wolf@pld-linux.org> f86fa6c
- cosmetics

* Tue Oct 05 2004 havner <havner@pld-linux.org> c65a887
- fixed

* Mon Oct 04 2004 havner <havner@pld-linux.org> 295e469
- fix build on amd64

* Thu Sep 02 2004 freetz <freetz@pld-linux.org> a0755b0
- 0.7.0, doc snap 20040817

* Fri Jul 23 2004 freetz <freetz@pld-linux.org> 8bc299e
- 0.6.0, doc package added

* Fri Jul 23 2004 freetz <freetz@pld-linux.org> 8549d0c
- updated for 0.6.0

* Wed May 12 2004 freetz <freetz@pld-linux.org> e22bfbf
- 0.5.0 (tested with gcc 3.4 - safe)

* Wed Mar 24 2004 freetz <freetz@pld-linux.org> 3760c37
- updated for 0.4.2

* Wed Mar 24 2004 freetz <freetz@pld-linux.org> 6ca7314
- up tp 0.4.2

* Sat Feb 21 2004 freetz <freetz@pld-linux.org> 1341b46
- sf.net rocks - switched to dropin

* Sat Feb 21 2004 freetz <freetz@pld-linux.org> d26a5a3
- 0.4.0

* Sun Feb 08 2004 freetz <freetz@pld-linux.org> a19901e
- updated for 0.3.0

* Sun Feb 08 2004 freetz <freetz@pld-linux.org> 5a6e39c
- 0.3.0

* Fri Feb 06 2004 freetz <freetz@pld-linux.org> c3cb939
- make use of destdir and our optflags

* Fri Feb 06 2004 freetz <freetz@pld-linux.org> 7fa6c5d
- initial PLD release

